package projet_agile.personnage;

public class ChevalierSquelette extends Personnage {
	
	public ChevalierSquelette(int fo, int ad, int intel, int tri) {
		super("ChevalierSquelette", fo, ad, intel, tri);
		hp = hp + tri/5;
	}
	
	public ChevalierSquelette() {
		super("ChevalierSquelette", 5, 5, 5, 5);
		fo = 60;
		ad = 10;
		intel = 0;
		tri = 10;
		baseHp = baseHp + tri/5;
		hp = baseHp;
	}
	
	@Override
	public String toString() {
		return  "                              _.--\"\"-._\n" +
				"  .                         .\"         \".\n" + 
				" / \\    ,^.         /(     Y             |      )\\\n" + 
				"/   `---. |--'\\    (  \\__..'--   -   -- -'\"\"-.-'  )\n" + 
				"|        :|    `>   '.     l_..-------.._l      .'\n" + 
				"|      __l;__ .'      \"-.__.||_.-'v'-._||`\"----\"\n" + 
				" \\  .-' | |  `              l._       _.'\n" + 
				"  \\/    | |                   l`^^'^^'j\n" + 
				"        | |                _   \\_____/     _\n" + 
				"        j |               l `--__)-'(__.--' |\n" + 
				"        | |               | /`---``-----'\"1 |  ,-----.\n" + 
				"        | |               )/  `--' '---'   \\'-'  ___  `-.\n" + 
				"        | |              //  `-'  '`----'  /  ,-'   I`.  \\\n" + 
				"      _ L |_            //  `-.-.'`-----' /  /  |   |  `. \\\n" + 
				"     '._' / \\         _/(   `/   )- ---' ;  /__.J   L.__.\\ :\n" + 
				"      `._;/7(-.......'  /        ) (     |  |            | |\n" + 
				"      `._;l _'--------_/        )-'/     :  |___.    _._./ ;\n" + 
				"        | |                 .__ )-'\\  __  \\  \\  I   1   / /\n" + 
				"        `-'                /   `-\\-(-'   \\ \\  `.|   | ,' /\n" + 
				"                           \\__  `-'    __/  `-. `---'',-'\n" + 
				"                              )-._.-- (        `-----'\n" + 
				"                             )(  l\\ o ('..-.\n" + 
				"                       _..--' _'-' '--'.-. |\n" + 
				"                __,,-'' _,,-''            \\ \\\n" + 
				"               f'. _,,-'                   \\ \\\n" + 
				"              ()--  |                       \\ \\\n" + 
				"                \\.  |                       /  \\\n" + 
				"                  \\ \\                      |._  |\n" + 
				"                   \\ \\                     |  ()|\n" + 
				"                    \\ \\                     \\  /\n" + 
				"                     ) `-.                   | |\n" + 
				"                    // .__)                  | |\n" + 
				"                 _.//7'                      | |\n" + 
				"               '---'                         j_| `\n" + 
				"                                            (| |\n" + 
				"                                             |  \\\n" + 
				"                                             |lllj\n" + 
				"                                             |||||";
	}
}
